<?php
/**
 * @version 1.0 $Id$
 * @package Joomla
 * @subpackage EventList
 * @copyright (C) 2005 - 2008 Christoph Lukes
 * @license GNU/GPL, see LICENCE.php
 * @author Julien Vonthron
 * EventList is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * EventList is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
// Import library dependencies
jimport('joomla.event.plugin');

//JPlugin::loadLanguage( 'plg_system_eventlistrepeat', JPATH_ADMINISTRATOR );

class plgSystemEventlistrepeat extends JPlugin {
 
	public function plgSystemEventlistrepeat(&$subject, $config = array()) 
	{
		parent::__construct($subject, $config);
	}

	public function onAfterRoute()
	{
		global $mainframe;
		
		$app = JFactory::getApplication();
		if('com_eventlist' == JRequest::getCMD('option') && !$app->isAdmin())
		{
      $mainframe->setUserState( 'pluginelrepeat.params', $this->params);
      require_once(dirname(__FILE__) . DS . 'eventlistrepeat' . DS . 'tables' . DS . 'eventlist_events.php');
      require_once(dirname(__FILE__) . DS . 'eventlistrepeat' . DS . 'helper.php');
      ELRepeathelper::cleanup();
		}
	}
}
?>